import { Contact } from "./Contact";

export type AppointmentRole = "organizer" | "speaker" | "participant";

export interface Member extends Contact {
    role: AppointmentRole;
}

export interface Appointment {
    id: string;
    
    title: string;

    startAt: Date;

    /** Duration in minutes */
    duration: number;

    getMembers(role?: AppointmentRole): Member[];
}